Summary: An X Window System moon landing simulation game.
Name: xlander
Version: 1.2
Release:  10
Copyright: MIT
Group: Amusements/Games
Source: ftp.x.org:/R5contrib/xlander.shar.Z
Patch0: ftp.x.org:/R5contrib/xlander.patch01.Z
Patch1: ftp.x.org:/R5contrib/xlander.patch02.Z
BuildRoot: /var/tmp/xlander-root

%description
Xlander is an X Window System based, keyboard controlled game.  The
object is to maneuver the lander so that you land (instead of crashing).

%prep
%setup -q -T -c
uncompress < $RPM_SOURCE_DIR/xlander.shar.Z | sh
uncompress < $RPM_SOURCE_DIR/xlander.patch01.Z | patch
uncompress < $RPM_SOURCE_DIR/xlander.patch02.Z | patch

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

make DESTDIR=$RPM_BUILD_ROOT install install.man

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xlander <<EOF
xlander name "xlander"
xlander description "Moon Lander Game"
xlander group Games/Video
xlander exec "xlander &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xlander
/usr/X11R6/man/man1/xlander.1x
%config /etc/X11/wmconfig/xlander

%changelog
* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
